Debian Bug report logs - #305369
manpages: signal(7) refers to nonexistent SA_SIGACTION

version graph

Package: manpages; Maintainer for manpages is Martin Schulze <joey@debian.org>; Source for manpages is src:manpages.

Reported by: Ove Kaaven <ovek@arcticnet.no>

Date: Tue, 19 Apr 2005 17:18:19 UTC

Severity: normal

Found in version 2.01-1

Fixed in version manpages/2.05-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#305369; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Ove Kaaven <ovek@arcticnet.no>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ove Kaaven <ovek@arcticnet.no>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages: signal(7) refers to nonexistent SA_SIGACTION
Date: Tue, 19 Apr 2005 13:07:08 -0400
Package: manpages
Version: 2.01-1
Severity: normal

man 7 signal says, among other things, this about real-time signals:

"2. If the signal is sent using sigqueue(2), an accompanying value (either
an integer or a pointer) can be sent with the signal. If the receiving
process establishes a handler for this signal using the SA_SIGACTION flag
to sigaction(2) then it can obtain this data via the si_value field of the
siginfo_t structure passed as the second argument to the handler.
Furthermore, the si_pid and si_uid fields of this structure can be used to
obtain the PID and real user ID of the process sending the signal."

There's no such flag as SA_SIGACTION. They probably meant SA_SIGINFO.

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.10-1-k7
Locale: LANG=no_NO, LC_CTYPE=no_NO (charmap=ISO-8859-1)

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#305369; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 305369@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Martin Schulze <joey@infodrom.org>
Cc: 305369@bugs.debian.org
Subject: Re: #305369: manpages: signal(7) refers to nonexistent SA_SIGACTION
Date: Fri, 24 Jun 2005 16:57:11 +0200 (MEST)
Joey,

I have fixed this for 2.05.

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  Grab the latest
tarball at ftp://ftp.win.tue.nl/pub/linux-local/manpages/
and grep the source files for 'FIXME'.

Weitersagen: GMX DSL-Flatrates mit Tempo-Garantie!
Ab 4,99 Euro/Monat: http://www.gmx.net/de/go/dsl



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#305369; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #15 received at 305369@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: 305369@bugs.debian.org
Cc: control@bugs.debian.org
Subject: pending
Date: Thu, 30 Jun 2005 09:11:24 +0200 (MEST)
tags 305369 pending
thanks

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  Grab the latest
tarball at ftp://ftp.win.tue.nl/pub/linux-local/manpages/
and grep the source files for 'FIXME'.

5 GB Mailbox, 50 FreeSMS http://www.gmx.net/de/go/promail
+++ GMX - die erste Adresse für Mail, Message, More +++



Tags added: pending Request was from "Michael Kerrisk" <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ove Kaaven <ovek@arcticnet.no>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 305369-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 305369-close@bugs.debian.org
Subject: Bug#305369: fixed in manpages 2.05-1
Date: Mon, 14 Nov 2005 01:02:12 -0800
Source: manpages
Source-Version: 2.05-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.05-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.05-1_all.deb
manpages_2.05-1.diff.gz
  to pool/main/m/manpages/manpages_2.05-1.diff.gz
manpages_2.05-1.dsc
  to pool/main/m/manpages/manpages_2.05-1.dsc
manpages_2.05-1_all.deb
  to pool/main/m/manpages/manpages_2.05-1_all.deb
manpages_2.05.orig.tar.gz
  to pool/main/m/manpages/manpages_2.05.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 305369@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 14 Nov 2005 09:31:02 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.05-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 246668 253515 285765 305369
Changes: 
 manpages (2.05-1) unstable; urgency=low
 .
   * New upstream version, with these updates
     - Return value adjusted in fpclassify(3) (Closes: Bug#285765)
     - Include file adjustment in strtod(3) (Closes: Bug#246668)
     - s/selection/gpm/ in vcs(4) (Closes: Bug#253515)
     - Use proper signal flag in signal(7) (Closes: Bug#305369)
Files: 
 a2ef360be830eab335d9992039b350dc 584 doc - manpages_2.05-1.dsc
 fe349e6a536587a2a65878c1e3c2e424 1031281 doc - manpages_2.05.orig.tar.gz
 0f4c723e0b75c47143e33a343fe63605 44412 doc - manpages_2.05-1.diff.gz
 a5d59570331d289d80a38ce5bb728c3d 398906 doc important manpages_2.05-1_all.deb
 ac160ed7fde666b76ea3688f4f8b6472 1090416 doc standard manpages-dev_2.05-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDeE8RW5ql+IAeqTIRAhRZAKCTiLtyC9YdLRmUzAMcKHd2QPVRpACeMD4Q
m+ie6N7l7WkkDSC34lxya6c=
=EAJY
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 09:36:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 11:31:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.